/******************************************************************************
 TestButtonsDialog.h

	Interface for the TestButtonsDialog class

	Written by John Lindal.

 ******************************************************************************/

#ifndef _H_TestButtonsDialog
#define _H_TestButtonsDialog

#include <JXDialogDirector.h>

class JXRadioGroup;

class TestButtonsDialog : public JXDialogDirector
{
public:

	TestButtonsDialog(JXWindowDirector* supervisor);

	virtual ~TestButtonsDialog();

protected:

	virtual JBoolean	OKToDeactivate();
	virtual void		Receive(JBroadcaster* sender, const Message& message);

private:

// begin JXLayout

    JXRadioGroup* itsRG1;
    JXRadioGroup* itsRG2;

// end JXLayout

private:

	void	BuildWindow();

	// not allowed

	TestButtonsDialog(const TestButtonsDialog& source);
	const TestButtonsDialog& operator=(const TestButtonsDialog& source);
};

#endif
